version: "3.3"
services:
  keycloak:
    image: quay.io/keycloak/keycloak:latest
    ports:
      - "8080:8080"
    volumes:
      - ./dist/theme/modern-login:/opt/keycloak/themes/modern-login
      - ./realm-export.json:/opt/keycloak/data/import/realm.json
    environment:
      - KEYCLOAK_ADMIN=admin
      - KEYCLOAK_ADMIN_PASSWORD=admin
    command:
      - start-dev
      - --features=recovery-codes
      - --import-realm
